Merge "CSIT: Use entry scripts by default in perf"
authorVratko Polak <vrpolak@cisco.com>
Thu, 8 Aug 2019 10:42:56 +0000 (10:42 +0000)
committerGerrit Code Review <gerrit@fd.io>
Thu, 8 Aug 2019 10:42:56 +0000 (10:42 +0000)
jjb/csit/csit-vpp-device.yaml
jjb/csit/csit.yaml
jjb/vpp/docs.yaml
jjb/vpp/include-raw-vpp-testauto-build.sh [new file with mode: 0644]
jjb/vpp/vpp.yaml

index 30fb10c..1f10883 100644 (file)
       - 'ubuntu1804'
     node-arch:
       - '1n-skx'
-      - '1n-tx2':
-          executor: 'vpp-csit-arm-ubuntu18'
-          skip-vote: 'true'
+# Is there a good way to allow manual triggers for tx2?
+#      - '1n-tx2':
+#          executor: 'vpp-csit-arm-ubuntu18'
+#          skip-vote: 'true'
     jobs:
       - 'csit-vpp-device-{stream}-{os}-{node-arch}'
       - 'csit-vpp-device-{stream_timed}-{os}-{node-arch}-semiweekly'
       - '1904':
           branch: 'rls1904'
           branch-id: 'oper-rls1904'
-    exclude:
-      - stream: '1810'
-        os: 'ubuntu1804'
-        node-arch: '1n-tx2'
-      - stream: '1901'
-        os: 'ubuntu1804'
-        node-arch: '1n-tx2'
-      - stream: '1904'
-        os: 'ubuntu1804'
-        node-arch: '1n-tx2'
-      - stream_timed: '1904'
-        os: 'ubuntu1804'
-        node-arch: '1n-tx2'
+#    exclude:
+#      - stream: '1810'
+#        os: 'ubuntu1804'
+#        node-arch: '1n-tx2'
+#      - stream: '1901'
+#        os: 'ubuntu1804'
+#        node-arch: '1n-tx2'
+#      - stream: '1904'
+#        os: 'ubuntu1804'
+#        node-arch: '1n-tx2'
+#      - stream_timed: '1904'
+#        os: 'ubuntu1804'
+#        node-arch: '1n-tx2'
 
 - job-template:
     name: 'csit-vpp-device-{stream}-{os}-{node-arch}'
index aa49ea6..9a6c6a9 100644 (file)
@@ -20,8 +20,8 @@
       - 'csit-docs-verify-{stream}'
       - 'csit-docs-merge-{stream_timed}'
       - 'csit-report-merge-{stream}'
-      - 'csit-report-merge-1901_2'
-      - 'csit-report-merge-1904_1'
+      - 'csit-report-merge-1901_3'
+      - 'csit-report-merge-1904_2'
       - 'csit-trending-daily-master'
 
     project: 'csit'
     name: 'csit-report-merge-{stream}'
 
     project-type: freestyle
-    node: 'ubuntu1604-basebuild-8c-32g'
+    node: '{executor-large}'
     concurrent: false
-    archive-artifacts: 'resources/tools/presentation/csit.report.tar.gz'
     allow-empty: 'true'
     fingerprint: false
     only-if-success: true
           maven-version: 'mvn33-new'
 
 - job-template:
-    name: 'csit-report-merge-1901_2'
+    name: 'csit-report-merge-1901_3'
 
     project-type: freestyle
-    node: 'ubuntu1604-basebuild-8c-32g'
+    node: '{executor-large}'
     concurrent: false
-    archive-artifacts: 'resources/tools/presentation/csit.report.tar.gz'
     allow-empty: 'true'
     fingerprint: false
     only-if-success: true
       - project-parameter:
           project: '{project}'
       - gerrit-parameter:
-          branch: 'rls1901_2'
+          branch: 'rls1901_3'
       - maven-exec:
           maven-version: 'mvn33-new'
       - string:
               project-pattern: '{project}'
               branches:
                 - branch-compare-type: 'ANT'
-                  branch-pattern: '**/rls1901_2'
+                  branch-pattern: '**/rls1901_3'
           skip-vote:
             successful: true
             failed: true
           maven-version: 'mvn33-new'
 
 - job-template:
-    name: 'csit-report-merge-1904_1'
+    name: 'csit-report-merge-1904_2'
 
     project-type: freestyle
-    node: 'ubuntu1604-basebuild-8c-32g'
+    node: '{executor-large}'
     concurrent: false
-    archive-artifacts: 'resources/tools/presentation/csit.report.tar.gz'
     allow-empty: 'true'
     fingerprint: false
     only-if-success: true
       - project-parameter:
           project: '{project}'
       - gerrit-parameter:
-          branch: 'rls1904_1'
+          branch: 'rls1904_2'
       - maven-exec:
           maven-version: 'mvn33-new'
       - string:
               project-pattern: '{project}'
               branches:
                 - branch-compare-type: 'ANT'
-                  branch-pattern: '**/rls1904_1'
+                  branch-pattern: '**/rls1904_2'
           skip-vote:
             successful: true
             failed: true
index a4c8580..74f2930 100644 (file)
@@ -22,6 +22,9 @@
       - '1904':
           branch: 'stable/1904'
           repo-stream-part: 'stable.1904'
+      - '1908':
+          branch: 'stable/1908'
+          repo-stream-part: 'stable.1908'
 
     type:
       - short
diff --git a/jjb/vpp/include-raw-vpp-testauto-build.sh b/jjb/vpp/include-raw-vpp-testauto-build.sh
new file mode 100644 (file)
index 0000000..6fdaec1
--- /dev/null
@@ -0,0 +1,64 @@
+#!/bin/bash
+# basic build script example
+set -xe -o pipefail
+
+OS_ID=$(grep '^ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+OS_VERSION_ID=$(grep '^VERSION_ID=' /etc/os-release | cut -f2- -d= | sed -e 's/\"//g')
+
+echo OS_ID: $OS_ID
+echo OS_VERSION_ID: $OS_VERSION_ID
+
+# do nothing but print the current slave hostname
+hostname
+export CCACHE_DIR=/tmp/ccache
+if [ -d $CCACHE_DIR ];then
+    echo $CCACHE_DIR exists
+    du -sk $CCACHE_DIR
+else
+    echo $CCACHE_DIR does not exist.  This must be a new slave.
+fi
+
+echo "cat /etc/bootstrap.sha"
+if [ -f /etc/bootstrap.sha ];then
+    cat /etc/bootstrap.sha
+else
+    echo "Cannot find cat /etc/bootstrap.sha"
+fi
+
+echo "cat /etc/bootstrap-functions.sha"
+if [ -f /etc/bootstrap-functions.sha ];then
+    cat /etc/bootstrap-functions.sha
+else
+    echo "Cannot find cat /etc/bootstrap-functions.sha"
+fi
+
+echo "sha1sum of this script: ${0}"
+sha1sum $0
+
+echo "CC=${CC}"
+echo "IS_CSIT_VPP_JOB=${IS_CSIT_VPP_JOB}"
+# If and only if we are doing verify *after* make verify was made to work
+# and we are not a CSIT job just building packages, then use make verify,
+# else use make pkg-verify.
+if (git log --oneline | grep 37682e1 > /dev/null 2>&1) && \
+        [ "x${IS_CSIT_VPP_JOB}" != "xTrue" ]
+then
+    echo "Building using \"make verify\""
+    [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes TEST_JOBS=auto verify
+else
+    echo "Building using \"make pkg-verify\""
+    [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes pkg-verify
+fi
+
+if [ "x${VPP_REPO}" == "x1" ]; then
+    if [ "x${REBASE_NEEDED}" == "x1" ]; then
+        echo "This patch to vpp is based on an old point in the tree that is likely"
+        echo "to fail verify."
+        echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
+        exit 1
+    fi
+fi
+
+echo "*******************************************************************"
+echo "* VPP BUILD SUCCESSFULLY COMPLETED"
+echo "*******************************************************************"
index cd47237..cf48175 100644 (file)
@@ -22,6 +22,9 @@
       - '1904':
           branch: 'stable/1904'
           repo-stream-part: 'stable.1904'
+      - '1908':
+          branch: 'stable/1908'
+          repo-stream-part: 'stable.1908'
 
 - project:
     name: vpp-clang
@@ -57,6 +60,9 @@
       - '1904':
           branch: 'stable/1904'
           repo-stream-part: 'stable.1904'
+      - '1908':
+          branch: 'stable/1908'
+          repo-stream-part: 'stable.1908'
     os: ubuntu1604
 
 - project:
       - '1904':
           branch: 'stable/1904'
           repo-stream-part: 'stable.1904'
+      - '1908':
+          branch: 'stable/1908'
+          repo-stream-part: 'stable.1908'
     os: ubuntu1804
     device-node-arch:
       - 1n-skx
-      - 1n-tx2:
-          executor: 'vpp-csit-arm-ubuntu18'
+# Is there a good way to allow manual triggers for tx2?
+#      - 1n-tx2:
+#          executor: 'vpp-csit-arm-ubuntu18'
     node-arch:
       - 2n-skx
       - 3n-skx
       - 3n-hsw
-    exclude:
-      - stream: '1904'
-        os: 'ubuntu1804'
-        device-node-arch: '1n-tx2'
+#    exclude:
+#      - stream: '1904'
+#        os: 'ubuntu1804'
+#        device-node-arch: '1n-tx2'
 
 - project:
     name: vpp-master-only
       - '1904':
           branch: 'stable/1904'
           repo-stream-part: 'stable.1904'
+      - '1908':
+          branch: 'stable/1908'
+          repo-stream-part: 'stable.1908'
     os:
       - ubuntu1804:
           repo-os-part: 'ubuntu.bionic.main'
       - '1904':
           branch: 'stable/1904'
           repo-stream-part: 'stable.1904'
+      - '1908':
+          branch: 'stable/1908'
+          repo-stream-part: 'stable.1908'
     os:
       - ubuntu1804:
           repo-os-part: 'ubuntu-arm.bionic.main'
 
     publishers:
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'
       - naginator:
           rerun-unstable-builds: false
           max-failed-builds: 1
       - shell:
           !include-raw-escape:
           - ../scripts/setup_vpp_dpdk_dev_env.sh
-          - include-raw-vpp-build.sh
+          - include-raw-vpp-testauto-build.sh
       - provide-maven-settings:
           settings-file: 'vpp-settings'
           global-settings-file: 'global-settings'
 
     publishers:
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'
 
 - job-template:
     name: 'vpp-arm-verify-{stream}-{os}'
 
     publishers:
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'
           archive-artifacts: '/tmp/vpp-failed-unittests/*/* **/core'
       - naginator:
           rerun-unstable-builds: false
 
     publishers:
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'
 
 - job-template:
     name: 'vpp-checkstyle-verify-{stream}'
 
     publishers:
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'
           archive-artifacts: '/tmp/vpp-failed-unittests/*/* **/core'
       - naginator:
           rerun-unstable-builds: true
 
     publishers:
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'
           archive-artifacts: '/tmp/vpp-failed-unittests/*/* **/core'
       - naginator:
           rerun-unstable-builds: false
 
     publishers:
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'
           archive-artifacts: '/tmp/vpp-failed-unittests/*/* **/core'
       - naginator:
           rerun-unstable-builds: false
 
     publishers:
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'
       - naginator:
           rerun-unstable-builds: false
           max-failed-builds: 1
           output-path: 'csit_current/'
 
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'
 
 - job-template:
     name: 'vpp-csit-verify-perf-{stream}-{node-arch}'
           output-path: 'csit_current/0/'
 
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'
 
 - job-template:
     name: 'vpp-csit-verify-api-crc-{stream}'
     triggers:
       # TODO: Make other verify jobs trigger on success of this one,
       # without breaking verification for VPP branches before stable/1908.
-      - gerrit-trigger-checkstyle-nonvoting:
+      - gerrit-trigger-checkstyle:
           name: '{project}'
           branch: '{branch}'
 
 
     publishers:
       - fdio-infra-shiplogs:
-          maven-version: 'mvn33-new'
+          maven-version: 'mvn36'